# CreateTableQuery Class Reference
[Dynamic query builder]

Inheritance diagram for CreateTableQuery:
[legend]

List of all members.

## Public Member Functions

| __construct (DBTable $table)
| toDialectString (Dialect $dialect)

## Private Attributes

| $table = null

## Detailed Description

Definition at line 15 of file CreateTableQuery.class.php.

## Constructor & Destructor Documentation

CreateTableQuery::__construct | ( | DBTable $ | table | ) |

Definition at line 19 of file CreateTableQuery.class.php.

## Member Function Documentation

CreateTableQuery::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 24 of file CreateTableQuery.class.php.

References Dialect::postAutoincrement(), Dialect::preAutoincrement(), and Dialect::quoteField().

Here is the call graph for this function:

## Member Data Documentation

CreateTableQuery::$table = null`[private]`

Definition at line 17 of file CreateTableQuery.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/CreateTableQuery.class.php